VERSION 5.00
Object = "{EB7A6012-79A9-4A1A-91AF-F2A92FCA3406}#1.0#0"; "TeeChart8.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   6120
   ClientLeft      =   60
   ClientTop       =   465
   ClientWidth     =   8280
   LinkTopic       =   "Form1"
   ScaleHeight     =   6120
   ScaleWidth      =   8280
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox Check1 
      Caption         =   "Modify the bottom labels"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   6735
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Load Chart"
      Height          =   375
      Left            =   6960
      TabIndex        =   1
      Top             =   120
      Width           =   1215
   End
   Begin TeeChart.TChart TChart1 
      Height          =   5415
      Left            =   120
      TabIndex        =   0
      Top             =   600
      Width           =   8055
      Base64          =   $"Form1.frx":0000
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    LoadChart
End Sub

Private Sub Command1_Click()
    LoadChart
End Sub

Private Sub LoadChart()
Dim dbsCurrent As Database
Dim rst As ADODB.Recordset
Dim cnn As ADODB.Connection
Dim index As Long

    Set cnn = New ADODB.Connection
    cnn.ConnectionString = "Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=Northwind;Data Source=(local)"
    cnn.Open

    Set rst = New ADODB.Recordset
    rst.Open "SELECT TOP 50 RequiredDate, Freight AS [Value] From Orders", cnn, adOpenKeyset, adLockOptimistic, adCmdText

    TChart1.RemoveAllSeries
    TChart1.AddSeries scBar
    TChart1.Series(0).DataSource = rst
    TChart1.Series(0).Title = "test"
    TChart1.Series(0).YValues.ValueSource = "Value"
    TChart1.Series(0).LabelsSource = "RequiredDate"
    TChart1.Series(0).Marks.Visible = False
    TChart1.Legend.Visible = False
    
    ' Here is the problem: When labels are cleared the font can no longer be changed.
    If Check1.Value = vbChecked Then
        TChart1.Axis.Bottom.Labels.Clear
        rst.MoveFirst
        index = 0
        While Not rst.EOF
            If index Mod 5 = 0 Then
                TChart1.Axis.Bottom.Labels.Add index, CStr(rst.Fields(0).Value)
            End If
            index = index + 1
            rst.MoveNext
        Wend
    End If
    
    TChart1.Axis.Bottom.Labels.Angle = 90
    TChart1.Axis.Bottom.Labels.Font.Name = "Tahoma"
    TChart1.Axis.Bottom.Labels.Font.Size = 6
End Sub

